> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Update app configuration item

PATCH https://{tenant_name}.benchling.com/api/v2/app-configuration-items/{item_id}
Content-Type: application/json

Update app configuration item

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/apps/update-app-configuration-item

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `item_id` (string, required)

### Body (application/json)

This endpoint expects an AppConfigItemUpdate.

- `AppConfigItemUpdate`
  - `type`: `aa_sequence` (aa_sequence)
    - `value` (string, required, nullable)
  - `type`: `boolean` (boolean)
    - `value` (boolean, required, nullable)
  - `type`: `box` (box)
    - `value` (string, required, nullable)
  - `type`: `box_schema` (box_schema)
    - `value` (string, required, nullable)
  - `type`: `container` (container)
    - `value` (string, required, nullable)
  - `type`: `container_schema` (container_schema)
    - `value` (string, required, nullable)
  - `type`: `custom_entity` (custom_entity)
    - `value` (string, required, nullable)
  - `type`: `date` (date)
    - `value` (string, required, nullable)
  - `type`: `datetime` (datetime)
    - `value` (string, required, nullable)
  - `type`: `dna_oligo` (dna_oligo)
    - `value` (string, required, nullable)
  - `type`: `dna_sequence` (dna_sequence)
    - `value` (string, required, nullable)
  - `type`: `dropdown` (dropdown)
    - `value` (string, required, nullable)
  - `type`: `dropdown_option` (dropdown_option)
    - `value` (string, required, nullable)
  - `type`: `entity_schema` (entity_schema)
    - `value` (string, required, nullable)
  - `type`: `entry` (entry)
    - `value` (string, required, nullable)
  - `type`: `entry_schema` (entry_schema)
    - `value` (string, required, nullable)
  - `type`: `field` (field)
    - `value` (string, required, nullable)
  - `type`: `float` (float)
    - `value` (float, required, nullable)
  - `type`: `folder` (folder)
    - `value` (string, required, nullable)
  - `type`: `integer` (integer)
    - `value` (integer, required, nullable)
  - `type`: `json` (json)
    - `value` (string, required, nullable)
  - `type`: `legacy_request_schema` (legacy_request_schema)
    - `value` (string, required, nullable)
  - `type`: `location` (location)
    - `value` (string, required, nullable)
  - `type`: `location_schema` (location_schema)
    - `value` (string, required, nullable)
  - `type`: `mixture` (mixture)
    - `value` (string, required, nullable)
  - `type`: `molecule` (molecule)
    - `value` (string, required, nullable)
  - `type`: `plate` (plate)
    - `value` (string, required, nullable)
  - `type`: `plate_schema` (plate_schema)
    - `value` (string, required, nullable)
  - `type`: `project` (project)
    - `value` (string, required, nullable)
  - `type`: `registry` (registry)
    - `value` (string, required, nullable)
  - `type`: `result_schema` (result_schema)
    - `value` (string, required, nullable)
  - `type`: `rna_oligo` (rna_oligo)
    - `value` (string, required, nullable)
  - `type`: `rna_sequence` (rna_sequence)
    - `value` (string, required, nullable)
  - `type`: `run_schema` (run_schema)
    - `value` (string, required, nullable)
  - `type`: `secure_text` (secure_text)
    - `value` (string, required, nullable)
  - `type`: `text` (text)
    - `value` (string, required, nullable)
  - `type`: `workflow_task_schema` (workflow_task_schema)
    - `value` (string, required, nullable)
  - `type`: `workflow_task_status` (workflow_task_status)
    - `value` (string, required, nullable)
  - `type`: `worklist` (worklist)
    - `value` (string, required, nullable)

## Response

### 200

OK

- `AppConfigItem`
  - `type`: `aa_sequence` (aa_sequence)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `array_element` (array_element)
    - `apiURL` (string, optional)
    - `app` (ArrayElementAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `id` (string, optional)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `type`: `boolean` (boolean)
    - `apiURL` (string, optional)
    - `app` (BooleanAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (boolean, optional, nullable)
  - `type`: `box` (box)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `box_schema` (box_schema)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `container` (container)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `container_schema` (container_schema)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `custom_entity` (custom_entity)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `date` (date)
    - `apiURL` (string, optional)
    - `app` (DateAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `datetime` (datetime)
    - `apiURL` (string, optional)
    - `app` (DatetimeAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `dna_oligo` (dna_oligo)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `dna_sequence` (dna_sequence)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `dropdown` (dropdown)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `dropdown_option` (dropdown_option)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `entity_schema` (entity_schema)
    - `apiURL` (string, optional)
    - `app` (EntitySchemaAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `subtype` (enum, optional)
      - Allowed values: `aa_sequence`, `dna_sequence`, `custom_entity`, `mixture`, `molecule`, `dna_oligo`, `rna_oligo`, `rna_sequence`
    - `value` (string, optional, nullable)
  - `type`: `entry` (entry)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `entry_schema` (entry_schema)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `field` (field)
    - `apiURL` (string, optional)
    - `app` (FieldAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `float` (float)
    - `apiURL` (string, optional)
    - `app` (FloatAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (float, optional, nullable)
  - `type`: `folder` (folder)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `integer` (integer)
    - `apiURL` (string, optional)
    - `app` (IntegerAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (integer, optional, nullable)
  - `type`: `json` (json)
    - `apiURL` (string, optional)
    - `app` (JsonAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `legacy_request_schema` (legacy_request_schema)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `location` (location)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `location_schema` (location_schema)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `mixture` (mixture)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `molecule` (molecule)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `plate` (plate)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `plate_schema` (plate_schema)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `project` (project)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `registry` (registry)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `result_schema` (result_schema)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `rna_oligo` (rna_oligo)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `rna_sequence` (rna_sequence)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `run_schema` (run_schema)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `secure_text` (secure_text)
    - `apiURL` (string, optional)
    - `app` (SecureTextAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `text` (text)
    - `apiURL` (string, optional)
    - `app` (TextAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `workflow_task_schema` (workflow_task_schema)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `workflow_task_status` (workflow_task_status)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)
  - `type`: `worklist` (worklist)
    - `apiURL` (string, optional)
    - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
    - `createdAt` (datetime, optional) — DateTime the app config item was created
    - `description` (string, optional)
    - `id` (string, optional)
    - `linkedResource` (LinkedAppConfigResource, optional, nullable)
    - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
    - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
    - `requiredConfig` (boolean, optional)
    - `value` (string, optional, nullable)

## Errors

### 403 Forbidden Error

Forbidden

- `error` (ForbiddenErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### GenericApiIdentifiedAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### LinkedAppConfigResource

### ArrayElementAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### BooleanAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### DateAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### DatetimeAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### EntitySchemaAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### FieldAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### FloatAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### IntegerAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### JsonAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### SecureTextAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### TextAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### ForbiddenErrorError

- `invalidId` (string, optional)
- `message` (string, optional)
- `type` (string, optional)
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### LinkedAppConfigResourceSummary

- `id` (string, optional) — The API ID of the linked resource
- `name` (string, optional) — The name of the resource in Benchling

### InaccessibleResource

- `inaccessibleId` (string, optional)
- `type` (string, optional) — The type of this inaccessible item. Example values: "custom_entity", "container", "plate", "dna_sequence"

## Examples

**Request**

```json
{
  "type": "container_schema",
  "value": "string"
}
```

**Response**

```json
{
  "apiURL": "string",
  "app": {
    "id": "string"
  },
  "createdAt": "2024-01-15T09:30:00Z",
  "id": "string",
  "modifiedAt": "2024-01-15T09:30:00Z",
  "path": [
    "My Schema 1",
    "My Field 1"
  ],
  "type": "string"
}
```

**SDK Code**

```python Apps_updateAppConfigurationItem_example
import requests

url = "https://{tenant_name}.benchling.com/api/v2/app-configuration-items/aci_e59sjL23Pqn30xHg"

payload = {
    "type": "container_schema",
    "value": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Apps_updateAppConfigurationItem_example
const url = 'https://{tenant_name}.benchling.com/api/v2/app-configuration-items/aci_e59sjL23Pqn30xHg';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"type":"container_schema","value":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```